## openafs 1.6.2

=== debian/changelog ===
openafs (1.6.2-1+ubuntu2) raring; urgency=low

  * Explicitly include -pthread in UAFS_XLIBS to fix build failure

 -- Luke Faraone <lfaraone@ubuntu.com>  Tue, 05 Mar 2013 01:01:49 -0500

openafs (1.6.2-1+ubuntu1) raring; urgency=low

  * Merge from Debian.
    - Fixes OPENAFS-SA-2013-001 and OPENAFS-SA-2013-002.  (LP: #1145560)
  * Apply upstream deltas for Linux 3.8 (LP: #1098843):
    - [b61eac7] Linux: setpag() may replace credentials
    - [c6d27e3] Linux 3.8: session_keyring changes
    - [d0479bb] Linux 3.8: vmtruncate removal

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 04 Mar 2013 22:40:09 -0500

openafs (1.6.2-1) experimental; urgency=low

  * New upstream release.
    - OPENAFS-SA-2013-001: Fix fileserver buffer overflow when parsing
      client-supplied ACL entries and protect against client parsing of
      bad ACL entries.  (CVE-2013-1794)
    - OPENAFS-SA-2013-002: Fix ptserver buffer overflow via integer
      overflow in the IdToName RPC.  (CVE-2013-1795)
    - Fix aklog warning about allow_weak_crypto.
  * Update CellServDB to the 2013-01-28 version.
  * Fix DKMS builds of the OpenAFS kernel module for amd64 kernels on the
    i386 architecture by parsing the kernel version for the architecture
    and kernel class and using that to tell the OpenAFS build system what
    sysname to use.  Patch from Thorsten Alteholz.
  * Avoid re-running setup after build when building modules from the
    openafs-modules-source package with module-assistant.  This will
    hopefully avoid an issue where, following an upgrade of
    openafs-modules-source, module-assistant cannot build new module
    packages without an intervening module-assistant clean.  Patch from
    Thorsten Alteholz.  (Closes: #660622)
  * Make another attempt at suppressing the wildcard action for building
    debian/rules to fix problems building module packages using
    make-kpkg.  Patch from Thorsten Alteholz.  (Closes: #639475)

 -- Russ Allbery <rra@debian.org>  Mon, 04 Mar 2013 13:54:30 -0800

openafs (1.6.2~pre3-1) experimental; urgency=low

  * New upstream prerelease.
    - Avoid unnecessary panic in kernel module when freeing vcaches.
    - Add additional objects to the *_pic libraries in support of the AFS
      Perl bindings.
  * Remove unnecessary change to the upstream Debian packaging files to
    support armhf.  These files aren't used during a package build, so no
    need to carry a Debian patch.

 -- Russ Allbery <rra@debian.org>  Mon, 21 Jan 2013 11:17:36 -0800
