=== debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Uploaders: Sam Hartman <hartmans@debian.org>
Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
 cpio, dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen, flex,
 hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
 libpam0g-dev, libxml2-utils, perl, pkg-config, xsltproc
Standards-Version: 3.9.4
Homepage: http://www.openafs.org/
Vcs-Git: git://anonscm.debian.org/pkg-k5-afs/openafs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-k5-afs/openafs.git

Package: openafs-client
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
 | openafs-modules-source (>= ${source:Version})
 | openafs-modules3
Suggests: openafs-doc, openafs-krb5
Conflicts: arla
Breaks: openafs-modules1, openafs-modules2
Description: AFS distributed filesystem client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.  If your site uses Kerberos v5 authentication for AFS, you will also
 want to install openafs-krb5.

Package: openafs-fuse
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Description: AFS distributed file system experimental FUSE client
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides an experimental FUSE implementation of the AFS
 client as afsd.fuse.  This currently only provides read-only access to
 AFS, doesn't work with all of the normal AFS client programs, and must be
 started manually, but may be of interest in situations where read-only
 access is sufficient and the kernel module cannot be built.

Package: openafs-kpasswd
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
Description: AFS distributed filesystem old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the OpenAFS
 kaserver to create users and change passwords.  Only install this package
 if you are already using kaserver; generally you should not install this
 package for new cells or for cells using Kerberos v5.

Package: openafs-fileserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-client, lsb-base
Recommends: ntp | time-daemon
Suggests: openafs-doc
Description: AFS distributed filesystem file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
 openafs-fileserver, openafs-client (= ${binary:Version})
Suggests: openafs-doc
Description: AFS distributed filesystem database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: openafs-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery
Description: AFS distributed filesystem documentation
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package contains the OpenAFS user's and reference manuals, some
 protocol documentation, and other OpenAFS documentation.

Package: openafs-krb5
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: openafs-client (<< 1.4.7.dfsg1-1)
Description: AFS distributed filesystem Kerberos 5 integration
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package provides aklog, a utility for authenticating to AFS using
 Kerberos 5.  It also provides asetkey, a utility to set AFS server keys
 from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
 requests to a KDC using fakeka.

Package: libkopenafs1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (PAGs)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing an interface to
 manipulating AFS process authentication groups (PAGs).  It provides the
 a subset of the interface provided by the Heimdal libkafs library.

Package: libafsauthent1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (authentication)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing AFS client
 authentication and token management.

Package: libafsrpc1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (RPC layer)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing the Rx protocol and
 other AFS RPC functionality.

Package: libopenafs-dev
Section: libdevel
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 libafsauthent1 (= ${binary:Version}), libafsrpc1 (= ${binary:Version}),
 libkopenafs1 (= ${binary:Version}),
Suggests: openafs-doc
Conflicts: arla-dev, liblwp-dev
Description: AFS distributed filesystem development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Section: kernel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8),
 module-assistant | kernel-package, perl
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the source to the AFS kernel module in a form
 suitable for use by module-assistant or kernel-package.

Package: openafs-modules-dkms
Section: kernel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dkms, libc6-dev
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module DKMS source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package contains the source for the AFS kernel module, packaged with
 appropriate configuration for DKMS to build new modules dynamically.

Package: libpam-openafs-kaserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Section: admin
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Description: AFS distributed filesystem kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos v5
 implementation, a Kerberos v5 PAM module such as libpam-krb5, and
 libpam-afs-session.

Package: openafs-dbg
Section: debug
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${misc:Depends}, openafs-fileserver (= ${binary:Version})
 | openafs-dbserver (= ${binary:Version})
Description: AFS distributed filesystem debugging information
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package contains the debugging information for the OpenAFS
 server binaries (the openafs-fileserver and openafs-dbserver packages).
