## openafs 1.6.5

=== debian/changelog ===
openafs (1.6.5-1ubuntu3) saucy; urgency=low

  * debian/patches/Linux-3.11-Adapt-to-d_count-changes.patch: Linux 3.11:
    Adapt to d_count changes.  (LP: #1222376)

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 19 Sep 2013 18:24:01 -0400

openafs (1.6.5-1ubuntu2) saucy; urgency=low

  * debian/patches/Linux-3.11-Convert-from-readdir-to-iterate-file-oper.patch:
    - Fixes DKMS build issues against Linux 3.11.

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Sun, 04 Aug 2013 07:52:21 -0500

openafs (1.6.5-1ubuntu1) saucy; urgency=low

  * Swap AKLIBS and AFSLIBS on the linker command line. Thanks to Anders
    Kaseorg for the patch, cherry-picked from upstream. This should be
    droppable once Debian integrates the fix. (LP: #1204937)

 -- Luke Faraone <lfaraone@ubuntu.com>  Thu, 25 Jul 2013 10:40:23 -0400

openafs (1.6.5-1) unstable; urgency=high

  * New upstream release.
    - OPENAFS-SA-2013-003: New support for non-DES enctypes in the
      long-lived AFS key.  This requires deploying rxkad.keytab files on
      each server containing all of the encryption types for the cell AFS
      key.  Once this is deployed on servers, DES will only be used for
      the session key.  Once deployed on all clients, a stronger security
      mechanism will be used that allows the DES keys to be removed from
      the AFS principal in the Kerberos KDC (but still uses DES for some
      session encryption purposes).  (CVE-2013-4134)
    - OPENAFS-SA-2013-004: Properly support the -encrypt option in vos,
      including with -localauth.  (CVE-2013-4135)
  * Move the documentation and kernel module build dependencies to
    Build-Depends-Indep and only do those parts of the build if building
    architecture-independent packages.
  * Drop the sequence numbers from the openafs-client init script
    registration.  Debian now always uses dependency-based boot ordering.
  * Translation updates:
    - Japanese, thanks victory.  (Closes: #714223)

 -- Russ Allbery <rra@debian.org>  Wed, 24 Jul 2013 14:32:22 -0700

openafs (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Russ Allbery <rra@debian.org>  Tue, 18 Jun 2013 11:10:45 -0700

openafs (1.6.3-1) unstable; urgency=low

  * New upstream release.
    - Support for Linux 3.9 and 3.10.  (Closes: #711920)
    - Multiple fixes for use after free, use of uninitialized memory,
      and similar C memory management bugs found via code analysis.
    - Obey jumbo/nojumbo settings for Ubik (database) servers.
    - General improvements in diagnostic and log messages.
    - Avoid incorrectly sending small amounts of data over the wire
      unencrypted in some situations and report the correct error message
      in this case.
    - Avoid generating duplicate IDs for readonly and backup volumes.
    - Return quota and free space information without an access check.
    - Improve client bookkeeping in the file server, fixing several
      potential corruption and segfault issues.
    - Avoid known cases of silent data corruption in background syncs in
      the file server.
    - Run-time configuration support for fileserver synchronization.
    - Fix transient network error interference with establishing a ubik
      quorum.
    - Do not discard the persistent client disk cache on restart.
    - Fix bugs that made it impossible to unmount a disk cache file system
      after it had been used by the client.
  * Give openafs-dbserver its own documentation directory rather than
    linking it to openafs-client, allowing relaxation of the versioned
    dependency on openafs-client to Recommends.  (However, openafs-client
    will still have to be installed for the openafs-fileserver init
    script, which uses the bos binary, so will still be pulled in by
    dependencies.)
  * Cleanup of the openafs-client postinst script.
    - Perform all work unconditionally to handle various rare error
      recovery cases properly.
    - Only force creation of CellServDB on initial installation or if
      AFSDB/SRV records are not being used.
  * Remove openafs-fileserver postinst support for upgrades from ancient
    versions (1.4.4.dfsg1-4 and 1.4.11+dfsg-3).
  * General coding style cleanup of maintainer scripts.

 -- Russ Allbery <rra@debian.org>  Mon, 17 Jun 2013 14:53:41 -0700

openafs (1.6.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Translation updates:
    - Brazilian Portuguese, thanks Albino B Neto.  (Closes: #706627)

 -- Russ Allbery <rra@debian.org>  Thu, 09 May 2013 09:00:57 -0700

openafs (1.6.2.1-1) experimental; urgency=low

  * New upstream release.
    - Support for Linux 3.8.
  * Support configuring -dynroot-sparse via debconf.  The AFS_DYNROOT
    option in /etc/openafs/afs.conf.client is now tri-valued instead of a
    boolean, and the boolean values will be mapped to the corresponding
    options on upgrade.  Based on work by Jakob Haufe.  (Closes: #644564)
  * Translation updates:
    - Czech, thanks Martin Šín.  (Closes: #705013)
    - Russian, thanks Yuri Kozlov.  (Closes: #705159)
    - French, thanks Christian Perrier.  (Closes: #705296)
    - Portuguese, thanks Miguel Figueiredo.  (Closes: #705307)
    - Danish, thanks Joe Hansen.  (Closes: #705660)
    - Italian, thanks Beatrice Torracca.  (Closes: #705864)

 -- Russ Allbery <rra@debian.org>  Sun, 21 Apr 2013 20:51:57 -0700
