=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Russ Allbery <rra@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
- cpio, dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen, flex,
- hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
- libpam0g-dev, libxml2-utils, perl, pkg-config, xsltproc
+ cpio, flex, hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
+ libpam0g-dev, libxml2-utils, perl, pkg-config
+Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen,
+ xsltproc
 Standards-Version: 3.9.4
 Homepage: http://www.openafs.org/
 Vcs-Git: git://anonscm.debian.org/pkg-k5-afs/openafs.git
@@ -64,7 +66,7 @@
 
 Package: openafs-fileserver
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-client, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, openafs-client
 Recommends: ntp | time-daemon
 Suggests: openafs-doc
 Description: AFS distributed filesystem file server
@@ -78,7 +80,8 @@
 Package: openafs-dbserver
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
- openafs-fileserver, openafs-client (= ${binary:Version})
+ openafs-fileserver
+Recommends: openafs-client
 Suggests: openafs-doc
 Description: AFS distributed filesystem database server
  AFS is a distributed filesystem allowing cross-platform sharing of
