=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,7 @@
 # /usr/share/doc/openafs-client.  Any package on this list must depend on
 # openafs-client.  This variable is used as options to dh_installdocs with
 # the --link-doc option.
-DOC_PACKAGES = -plibpam-openafs-kaserver -popenafs-dbserver -popenafs-fuse \
-	-popenafs-kpasswd
+DOC_PACKAGES = -plibpam-openafs-kaserver -popenafs-fuse -popenafs-kpasswd
 
 # These are files that we know we don't want to install.  List them so that we
 # can use dh_install --fail-missing and catch anything new that shows up.
@@ -115,8 +114,9 @@
 	    --with-html-xsl=$(HTML_XSL)					   \
 	    $(DEBIAN_OPT_FLAGS) $(SYSTEM)
 
-# Also build a libafs_tree and build the XML documentation.
-override_dh_auto_build:
+# Also build a libafs_tree and build the XML documentation if building
+# architecture-independent packages.
+override_dh_auto_build-indep:
 	dh_auto_build
 	$(MAKE) libafs_tree
 	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do	\
@@ -146,37 +146,36 @@
 	rm -f debian/tmp/usr/bin/klog.krb
 	rm -f debian/tmp/usr/share/man/man1/klog.krb.1
 
-# Override dh_install to handle installation of all the extra documentation
-# that upstream doesn't install by default, install the source required for
-# the kernel source package and the DKMS package, move some files about and
-# do some manually installation of additional things like PAM modules, and
-# to ensure that the extra scripts we install are executable.
-override_dh_install:
+# Override dh_install for architecture-dependent builds to move some files
+# around, do some manual installation of things like PAM modules, and ensure
+# that scripts we install are executable
+override_dh_install-arch:
 	chmod +x debian/afs-rootvol debian/afs-newcell
 	dh_install --fail-missing $(IGNORE)
 
-	mkdir -p $(DOCS)/html
-	cp doc/xml/*.gif doc/xml/*.html $(DOCS)/html/
-	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do	\
-	    mkdir $(DOCS)/html/$$d ;					\
-	    cp doc/xml/$$d/*.html $(DOCS)/html/$$d/ ;			\
-	    cp doc/xml/$$d/*.pdf $(DOCS)/ ;				\
-	done
-	cp doc/xml/AdminGuide/*.png $(DOCS)/html/AdminGuide/
-	mkdir $(DOCS)/html/arch-overview
-	cp doc/arch/arch-overview.h $(DOCS)/html/arch-overview
-	cd $(DOCS)/html/arch-overview && doxygen -g && doxygen \
-	    && rm Doxyfile *.h && mv html/* . && rm -r latex html
-	set -e; for h in doc/protocol/*.h ; do				\
-	    mkdir $(DOCS)/html/`basename $$h .h` ;			\
-	    cp $$h $(DOCS)/html/`basename $$h .h` ;			\
-	    cd $(DOCS)/html/`basename $$h .h` && doxygen -g && doxygen	\
-		&& rm Doxyfile *.h && mv html/* . && rm -r latex html	\
-		&& cd $(CURDIR) ;					\
-	done
+	mv debian/openafs-client/usr/bin/pagsh \
+	    debian/openafs-client/usr/bin/pagsh.openafs
+	mv debian/openafs-client/usr/share/man/man1/pagsh.1 \
+	    debian/openafs-client/usr/share/man/man1/pagsh.openafs.1
+	mv debian/openafs-client/usr/bin/klog \
+	    debian/openafs-client/usr/bin/klog.afs
+	mv debian/openafs-client/usr/share/man/man1/klog.1 \
+	    debian/openafs-client/usr/share/man/man1/klog.afs.1
+	mv debian/openafs-client/usr/bin/up \
+	    debian/openafs-client/usr/bin/afs-up
 
-	install -d debian/$(srcpkg)/usr/src/modules/$(package)
-	cd libafs_tree && find . -print \
-	    | cpio -admp $(CURDIR)/debian/$(srcpkg)/usr/src/modules/$(package)
-	cp .version debian/$(srcpkg)/usr/src/modules/$(package)/
-	mkdir -p debian/$(srcpkg)/usr/src/modules/$(package)/debian
+	install -m 644 -c debian/tmp/usr/lib/pam_afs.so.1 \
+	    debian/libpam-openafs-kaserver/lib/security/pam_afs.so
+	install -m 644 -c debian/tmp/usr/lib/pam_afs.krb.so.1 \
+	    debian/libpam-openafs-kaserver/lib/security/pam_afs.krb.so
+
+	install -d debian/openafs-dbserver/usr/share/man/man8
+	( cd debian && pod2man --section 8 --center "Debian GNU/Linux"	\
+	    afs-rootvol )						\
+	    >debian/openafs-dbserver/usr/share/man/man8/afs-rootvol.8
+	( cd debian && pod2man --section 8 --center "Debian GNU/Linux"	\
+	    afs-newcell )						\
+	    >debian/openafs-dbserver/usr/share/man/man8/afs-newcell.8
+
+# Override dh_install for architecture-independent builds to handle
+# installation of all the extra documentation that upstream doesn't install
