## openafs 1.6.5.1

=== debian/changelog ===
openafs (1.6.5.1-1) unstable; urgency=low

  * New upstream release.
    - Support for Linux 3.11 and 3.12 (up to 3.12-rc3).
    - Fixed core dumps into AFS with some Linux kernels.
  * Cherry-pick additional upstream fixes.
    - [7242e25a] Fix library ordering when building aklog.
    - [514fc63d] Fix budb crash when the -servers command-line option
      is given.  (Closes: #718253)
  * Ignore errors when reading ThisCell in the openafs-client config
    script.  If the file doesn't end in a newline, read will still succeed
    and set the variable, but will exit with a non-zero status.  This
    would abort configuration of the package without a useful error
    message.
  * Drop Recommends of libjs-jquery in openafs-doc.  We're no longer
    replacing the embedded jQuery, pending a better fix in the Doxygen
    packaging.
  * Optimize the get-orig-source target.  Thanks, Anders Kaseorg.
  * Translation updates:
    - German, thanks Erik Pfannenstein.  (Closes: #719154)

 -- Russ Allbery <rra@debian.org>  Sun, 20 Oct 2013 09:26:37 -0700
