=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
+Maintainer: Russ Allbery <rra@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
  cpio, flex, hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
@@ -96,7 +95,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libjs-jquery
 Description: AFS distributed filesystem documentation
  AFS is a distributed filesystem allowing cross-platform sharing of files
  among multiple computers.  Facilities are provided for access control,
