=== debian/rules ===
--- 
+++ 
@@ -84,11 +84,9 @@
 # installed and there's network connectivity to the upstream repository.
 get-orig-source:
 	git archive --remote='$(REPO)' --prefix='openafs_$(DEBVERS).orig/' \
-	    --format=tar '$(TAG)' | tar xf -
-	rm -r openafs_$(DEBVERS).orig/src/WINNT
-	tar cf openafs_$(DEBVERS).orig.tar openafs_$(DEBVERS).orig
-	rm -r openafs_$(DEBVERS).orig
-	xz openafs_$(DEBVERS).orig.tar
+	    --format=tar '$(TAG)'					   \
+	    | tar --delete 'openafs_$(DEBVERS).orig/src/WINNT'		   \
+	    | xz > 'openafs_$(DEBVERS).orig.tar.xz'
 
 # Use dh for most actions, with overrides below.
 %:
@@ -179,3 +177,4 @@
 
 # Override dh_install for architecture-independent builds to handle
 # installation of all the extra documentation that upstream doesn't install
+# by default and install the source required for the kernel source package
