## openafs 1.6.7

=== debian/changelog ===
openafs (1.6.7-1) unstable; urgency=high

  * New upstream security release.
    - OPENAFS-SA-2014-001: Fix potential buffer overflow in the
      fileserver.  (CVE-2014-0159)
    - Fix a potential DoS attack against Rx servers by avoiding suspending
      the listener thread when delaying connection abort messages.

 -- Russ Allbery <rra@debian.org>  Wed, 09 Apr 2014 10:33:38 -0700
