## openafs 1.6.9

=== debian/changelog ===
openafs (1.6.9-2ubuntu1) utopic; urgency=medium

  [Sergio Gelato <Sergio.Gelato@astro.su.se>]
  * debian/patches/0003-lp1423151_fix_dmks_build.patch:
   - Fix DKMS build failure following a rearrangement
     of the dentry struct in kernel from 3.18 onward.
     That kernel modification has been backported to 3.16.
     (LP: #1423151)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 13 Mar 2015 10:47:56 +0100

openafs (1.6.9-2) unstable; urgency=medium

  [ Russ Allbery ]
  * Retroactively add the CVE for OPENAFS-SA-2014-002 to the changelog for
    1.6.9-1.  It was assigned after the release was uploaded.
  * Add Benjamin Kaduk as Maintainer and move myself to Uploaders.

  [ Benjamin Kaduk ]
  * Apply upstream deltas to fix the build with the linux kernel 3.16
    (Closes: #762248):
    - [ea0c9d8c] Linux 3.16: Switch to iter_file_splice_write
    - [02a07404] Linux 3.16: Convert to new write_iter/read_iter ops
  * Update README.source for the gbp pq patch-management procedure.

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 22 Sep 2014 13:17:12 -0400

openafs (1.6.9-1) unstable; urgency=high

  * New upstream release.
    - OPENAFS-SA-2014-002: Fix use of uninitialized memory in the host
      object in the fileserver.  (CVE-2014-4044)

 -- Russ Allbery <rra@debian.org>  Thu, 12 Jun 2014 12:39:25 -0700

openafs (1.6.8-1) unstable; urgency=medium

  * New upstream release.
    - Change the default fileserver sync behavior from delayed to
      onclose so that explicit syncing only happens when a volume is
      detached.
    - Add -offline-timeout and -offline-shutdown-timeout options to the
      fileserver, allowing interrupting of clients accessing volumes that
      the fileserver is trying to take off-line.
    - Fix RX bug that could hide errors during packet reception.
    - Fix vos size -dump display for large volumes.
    - Give up callbacks when the client is shut down.  This can cause
      crashes in old fileservers (prior to 1.4.6).
    - Restore vos e alias for vos examine.
    - Throttle byte-range lock warnings per file, and include the FID of
      the file that the client is trying to lock.
    - Avoid a possible panic during shutdown while tracing.
    - Fix a bug that could cause getcwd to fail to find parent
      directories.
    - Avoid a delay when accessing uncached data in AFS in a confined
      context under SELinux.
    - Documentation, diagnostics, and error message improvements.
  * Add Lintian override for the copy of RFC 5864, which has been
    dual-licensed by the author.

 -- Russ Allbery <rra@debian.org>  Sat, 24 May 2014 17:55:20 -0700
