=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Russ Allbery <rra@debian.org>
-Uploaders: Sam Hartman <hartmans@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
  cpio, flex, hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config
